Subject: bug#52411: [core-updates-frozen] kmod-29 build fails, cross-compiled for i586-pc-gnu

From: Maxime Devos <[email-masked]>
Date: Fri, 10 Dec 2021 17:55:56 +0000

Maxime Devos schreef op vr 10-12-2021 om 17:48 [+0000]:
> Maxim Cournoyer schreef op vr 10-12-2021 om 07:55 [-0500]:
> > Hello Guix!
> > 
> > I haven't been able to deploy core-updates-frozen on one of my
> > machine,
> > because it has the childhurd service which needs kmod-29 which
> > fails
> > building, like so:
> 
> kmod is a linux-only thing, it's for doing things with linux kernel
> modules, so the childhurd service shouldn't be using kmod. Perhaps
> look
> at why kmod is being built in the first place?

I think I might have found the issue. The following commit made the
existence/absence 'kmod' input of pciutils depend on %current-
system/%current-target-system:

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=22ee7209797c023b95e22ced156df62cbff90184

but it forgot to keep in mind that nix systems != triplets.
Instead of %current-target-system, the 'current-target-nix-system'
from ‘https://issues.guix.gnu.org/49672#3’ needs to be used
(or the hurd-target? procedure).

Greetings,
Maxime.